GamebeastDocs
Dashboard
Project APIAnnotations

Delete an annotation

DELETE
/application/{applicationId}/analytics/v1/annotations/{annotationId}

Annotations Gamebeast wrote (experiments) can't be deleted.

Authorization

personalAccessTokenAuth
AuthorizationBearer <token>

Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

applicationId*number

Gamebeast project ID

annotationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

environment_id*number

Gamebeast environment ID

Response Body

application/json

curl -X DELETE "https://example.com/application/0/analytics/v1/annotations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "environment_id: 0"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}